Validate if group slug is available or not.

http
POST https://services.leadconnectorhq.com/calendars/groups/validate-slug

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id
slugstringYescalendar-1Slug

Responses

200 - Successful response
  • available (boolean, required)

json
{
  "available": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/calendars/groups/validate-slug' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "ve9EPM428h8vShlRW1KT",
  "slug": "calendar-1"
}'

Last updated October 26, 2026

Was this page helpful?